rio_unregister_driver
Prev | Functions | Next

## Name

rio_unregister_driver — unregister a RIO driver

## Synopsis

`void rio_unregister_driver (` | struct rio_driver * | rdrv`)`;

## Arguments

`rdrv`

  the RIO driver structure to unregister

## Description

Deletes the &struct rio_driver from the list of registered RIO drivers, gives it a chance to clean up by calling its `remove` function for each device it was responsible for, and marks those devices as driverless.

Prev | Up | Next
rio_register_driver | Home | rio_local_get_device_id